## cwirc 2.0.0

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 ################################################################################
 
-VERSION=1.8.8
+VERSION=2.0.0
 
 PLUGIN=cwirc.so
 FRONTEND=cwirc_frontend
