=== debian/changelog ===
cwirc (2.0.0-5) unstable; urgency=low

  * QA upload
    - Bump Standard-Version to 3.9.2
  * Patch 0000-fix-ftbfs-with-ld-as-needed.patch
    - Reorder libraries to fix FTBFS with ld --as-needed, thanks
      John Nogatch (Closes: 638633)

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 14 Dec 2011 15:10:35 +0100

cwirc (2.0.0-4) unstable; urgency=low

  * QA upload.
    - Update to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8. From xchat-common remove *-1
      Debian revision.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): New.
    - (Standards-Version): Update to 3.9.1.
  * debian/copyright
    - Point to GPL-2.
    - Update layout. Use FSF URL. Update download URL.
  * debian/{debian-lintian.mk,pod2man.mk}
    - New makefile snippets.
  * debian/{clean,dirs,manpages,cwirc.lintian-overrides}
    - New files.
  * debian/rules
    - Convert to dh(1).
  * debian/source/format
    - New file.
  * debian/watch
    - Update URL (Closes: #551346).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 30 Oct 2010 21:10:08 +0300

cwirc (2.0.0-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 30 Oct 2009 21:13:11 +0000

cwirc (2.0.0-2) unstable; urgency=low

  * Handle nostrip build options. Closes: #436689.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 04 Dec 2007 10:39:31 +0100

cwirc (2.0.0-1) unstable; urgency=low

  * New upstream.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 21 May 2006 22:31:46 +0200

cwirc (1.8.8-2) unstable; urgency=low

  * Add a watch file.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 20 Feb 2006 17:46:19 +0100

cwirc (1.8.8-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Thu,  5 Aug 2004 21:23:48 +0200

cwirc (1.8.8-0) unstable; urgency=low
  * Corrected a bug in the incoming signal buffering that would overwrite
    buffered events when frames would come too fast during the fade-out period,
    just after a buffer underrun.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Thu, 05 Aug 2004 01:27:00 +0200

cwirc (1.8.7-0) unstable; urgency=low
  * Added a section in the README to explain how to use CWirc with the aRts
    daemon. The DTR line is now explicitely set so that CWirc can read back
    the state of the Morse key contact(s), even if another program left the
    serial port in a bad state.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Sun, 25 Jul 2004 18:30:00 +0200

cwirc (1.8.6-0) unstable; urgency=low
  * Made the plugin stub filter out CWirc frames even when the plugin is
    disabled, so it's now possible to close the CWirc panel and keep chatting
    normally on a Morse channel. Made the plugin stub correctly handle channel
    locks on different IRC servers, and made it warn the user when a lock is
    stale.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Mon, 19 Jul 2004 02:52:00 +0200

cwirc (1.8.5-0) unstable; urgency=low
  * Corrected the README and added a French translation of it. Added the -fPIC
    flag to build the plugin's object files. Changed the Debian package
    maintainer and merged his changes.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Thu, 08 Jul 2004 23:03:00 +0200

cwirc (1.8.4-1.0.0.1.pure64) unstable; urgency=low

  * Build extra shared objects with -fPIC for the plugin

 -- Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>  Thu,  8 Jul 2004 19:04:02 +0200

cwirc (1.8.4-1) unstable; urgency=low

  * Initial debian release.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  3 Jul 2004 09:16:02 +0200

cwirc (1.8.4-0) unstable; urgency=low
  * Corrected a bug that would leave the I/O process running alone if the GUI
    quit without stopping it properly. Made the extension API's shared memory
    key really random. CWirc now tries to renice itself if the frontend binary
    is installed suid root, in order to get better I/O performances and cure
    the scratchy sound problem with low-end sound devices and loaded systems.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Sun, 20 Jun 2004 19:03:00 +0200

cwirc (1.8.3-1) unstable; urgency=low
  * Made the sound fragment writing routine less fragile. Doubled the automatic
    decoder's speed indicator as a decoder reset button. Fixed a bug where the
    CWirc front-end would stop if X-Chat was started from an xterm and the
    terminal was resized.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Fri, 18 Jun 2004 03:21:00 +0200

cwirc (1.8.2-1) unstable; urgency=low
  * Reduced the memory and disk footprint. General code cleanup. Made the keyer
    settings tab become inactive when the selected key type is "straight".
    Changed all references to "QRM" into the correct "QRN". Fixed a GTK error
    message when starting the GUI. Fixed a bug that could prevent an extension
    to be run again if it failed to run once.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Sun, 13 Jun 2004 23:55:08 +0200

cwirc (1.8.1-1) unstable; urgency=low
  * Now the plugin doesn't report incoming morse from any source but the
    current IRC channel, on the current CWirc channel. Fixed a bug that would
    make CWirc occasionally send malformed frames containing null events when
    running with the CW output set to "sounder".

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Tue, 13 Apr 2004 01:50:08 +0200

cwirc (1.8.0-1) unstable; urgency=low
  * Re-implemented the keyer, with a full set of options. The frontend now
    checks its version number against the plugin's, to avoid using an
    incompatible shared memory structure.

 -- Pierre-Philippe Coupard <pcoupard@easyconnect.fr>  Thu, 01 Apr 2004 00:09:20 +0200

cwirc (1.7.7-1) unstable; urgency=low
  * Added "About" tab to give general information about CWirc. Made the cwirc
    window non-resizable. Added two new keyer modes besides mode-A and mode-B :

