=== debian/control ===
Source: cwirc
Section: hamradio
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), libgtk2.0-dev, xchat-common (>= 2.0.2)
Standards-Version: 3.9.2
Homepage: http://myspace.voo.be/pcoupard/cwirc

Package: cwirc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xchat (>= 2.0.2-1)
Description: X-Chat morse plugin
 CWirc is a plugin for the X-Chat IRC client to transmit raw morse code over
 the internet using IRC servers as reflectors. The transmitted morse code can
 be received in near real-time by other X-Chat clients with the CWirc plugin.
 CWirc tries to emulate a standard amateur radio rig : it sends and receives
 morse over virtual channels, and it can listen to multiple senders transmitting
 on the same channel. Morse code is keyed locally using a straight or iambic
 key connected to a serial port, or using the mouse buttons, and the sound is
 played through the soundcard.
