=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = cwirc
MANSECT = 1

include debian/pod2man.mk
include debian/debian-lintian.mk

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_BIN =  install -s
else
	INSTALL_BIN = install
endif

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE)_frontend \
	MANSECT=$(MANSECT) makeman

override_dh_auto_build: man
	$(MAKE) TARGET_OS=LINUX					\
		PLUGIN_INSTALL_DIRECTORY=dummy			\
		FRONTEND_INSTALL_DIRECTORY=dummy		\
		CWIRC_EXTENSIONS_DIRECTORY=/usr/lib/cwirc/extensions

override_dh_auto_install:
	$(lintian-overrides)
	$(INSTALL_BIN) cwirc.so debian/cwirc/usr/lib/xchat/plugins/cwirc.so
	$(INSTALL_BIN) cwirc_frontend debian/cwirc/usr/bin/cwirc_frontend

override_dh_installdocs:
	dh_installdocs README LISEZMOI schematics

override_dh_installchangelogs:
	dh_installchangelogs Changelog

%:
	dh $@

# End of file
