=== debian/watch ===
version=3
http://myspace.voo.be/pcoupard/cwirc/ download/cwirc-(.*)\.tar\.gz
